Hjälp att rensa upp Nvidia drivrutiner....

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Apr 2010

Hjälp att rensa upp Nvidia drivrutiner....

När jag installerade om mitt system (efter att köpt ny GPU och nya skärmar + en diskkrash), så hade jag en massa problem med att få grafikkortet att leverera 3840x2160 @60hz på 2 DP. Detta gjorde att jag försökte en massa olika drivrutiner och hack för att få det att funka.
Till slut så började allt lira som jag ville och har fungerat bra sedan dess, men nu får jag en massa jobbiga felmeddelande som beror på att systemet nu använder sig av 2 olika versioner av nvidias-drivrutiner:
Jag kör Debian Unstable.

Felmeddelandet + vilka filer som finns på systemet:

Error message: NVRM: API mismatch: the client has the version 346.72, but NVRM: this kernel module has the version 352.79. Please NVRM: make sure that this kernel module and all NVIDIA driver NVRM: components have the same version. ### 346.72 ### /usr/lib/x86_64-linux-gnu/libnvidia-fbc.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-gtk3.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-cfg.so.346.72 /usr/lib/x86_64-linux-gnu/vdpau/libvdpau_nvidia.so.346.72 /usr/lib/x86_64-linux-gnu/libGLESv2.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-tls.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-gtk2.so.346.72 /usr/lib/x86_64-linux-gnu/tls/libnvidia-tls.so.346.72 /usr/lib/x86_64-linux-gnu/libnvcuvid.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-opencl.so.346.72 /usr/lib/x86_64-linux-gnu/libcuda.so.346.72 /usr/lib/x86_64-linux-gnu/libEGL.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-eglcore.so.346.72 /usr/lib/x86_64-linux-gnu/libGLESv1_CM.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-ml.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-encode.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-glsi.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-compiler.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-ifr.so.346.72 /usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.346.72 /usr/lib/xorg/modules/libnvidia-wfb.so.346.72 /usr/src/nvidia-346.72 ### 352.79 ### /var/lib/dkms/nvidia-current/352.79 /var/cache/apt/archives/nvidia-alternative_352.79-8_amd64.deb /var/cache/apt/archives/libgl1-nvidia-glx_352.79-8_amd64.deb /var/cache/apt/archives/libnvidia-eglcore_352.79-8_amd64.deb /var/cache/apt/archives/nvidia-driver-bin_352.79-8_amd64.deb /var/cache/apt/archives/xserver-xorg-video-nvidia_352.79-8_amd64.deb /var/cache/apt/archives/libgles2-nvidia_352.79-8_amd64.deb /var/cache/apt/archives/nvidia-kernel-support_352.79-8_amd64.deb /var/cache/apt/archives/nvidia-kernel-dkms_352.79-8_amd64.deb /var/cache/apt/archives/libegl1-nvidia_352.79-8_amd64.deb /var/cache/apt/archives/nvidia-legacy-check_352.79-8_amd64.deb /var/cache/apt/archives/libgles1-nvidia_352.79-8_amd64.deb /var/cache/apt/archives/nvidia-vdpau-driver_352.79-8_amd64.deb /var/cache/apt/archives/libnvidia-ml1_352.79-8_amd64.deb /var/cache/apt/archives/nvidia-driver_352.79-8_amd64.deb /usr/lib/nvidia/current/libglx.so.352.79 /usr/lib/x86_64-linux-gnu/nvidia/current/libGLESv2.so.352.79 /usr/lib/x86_64-linux-gnu/nvidia/current/libGLESv1_CM.so.352.79 /usr/lib/x86_64-linux-gnu/nvidia/current/libEGL.so.352.79 /usr/lib/x86_64-linux-gnu/nvidia/current/libnvidia-cfg.so.352.79 /usr/lib/x86_64-linux-gnu/nvidia/current/libvdpau_nvidia.so.352.79 /usr/lib/x86_64-linux-gnu/nvidia/current/libnvidia-ml.so.352.79 /usr/lib/x86_64-linux-gnu/nvidia/current/libGL.so.352.79 /usr/lib/x86_64-linux-gnu/tls/libnvidia-tls.so.352.79 /usr/lib/x86_64-linux-gnu/libnvidia-tls.so.352.79 /usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.352.79 /usr/lib/x86_64-linux-gnu/libnvidia-eglcore.so.352.79 /usr/lib/x86_64-linux-gnu/libnvidia-glsi.so.352.79 /usr/share/nvidia/nvidia-application-profiles-352.79-rc /usr/share/nvidia/nvidia-application-profiles-352.79-key-documentation /usr/src/nvidia-current-352.79

dpkg --get-selections (systemet tror att bara 352.79 är installerat):

glx-alternative-nvidia install libegl1-nvidia:amd64 install libgl1-nvidia-glx:amd64 install libgles1-nvidia:amd64 install libgles2-nvidia:amd64 install libnvidia-eglcore:amd64 install libnvidia-ml1:amd64 install nvidia-alternative install nvidia-driver install nvidia-driver-bin install nvidia-installer-cleanup install nvidia-kernel-common install nvidia-kernel-dkms install nvidia-kernel-support install nvidia-legacy-check install nvidia-modprobe install nvidia-persistenced install nvidia-settings deinstall nvidia-support install nvidia-vdpau-driver:amd64 install xserver-xorg-video-nvidia install drmagoo@S3:~ $apt-cache policy nvidia-driver nvidia-driver: Installed: 352.79-8 Candidate: 352.79-8 Version table: *** 352.79-8 500 500 http://ftp.se.debian.org/debian unstable/non-free amd64 Packages 500 http://mirrors.kernel.org/debian unstable/non-free amd64 Packages 100 /var/lib/dpkg/status

Nån som har något bra tips?

Main> Amd Fx-8120 , 16gb ram, Geforce gtx 960 2gb, 2x Asus PB287Q
FW-01> Intel Atom CPU D2500 2x1.86GHz 4gb ram
Raspberry PI 2 för labb
Raspberry Pi 2 B en som Fil-server och en för Kodi
Qnap TS-451 Backup station

Trädvy Permalänk
Medlem
Plats
Malmö
Registrerad
Jun 2007

@drmagoo: DDU lär väl fungera föratt rensa bort alla grafikdrivare, sen får du köra in de som funkar.
http://www.guru3d.com/files-details/display-driver-uninstalle...

Edit: Oops, såg att det var Linux nu